@php
    $footerContent  = getContent('footer.content', true);
    $footerElements = getContent('footer.element',orderById:true);
    $policyPages    = getContent('policy_pages.element', orderById: true);
    $contact        = getContent('contact_us.content', true);
@endphp
<footer class="footer">
    <div class="footer__top">
        <div class="container">
            <div class="row mb-none-50">
                <div class="col-lg-3 mb-50">
                    <div class="footer-widget">
                        <a href="{{ route('home') }}" class="footer-logo"><img src="{{ getImage(getFilePath('logoIcon').'/logo.png') }}" alt="image"></a>
                        <p class="para-white mt-4 font-size--14px">{{ __($footerContent->data_values->description) }}</p>
                    </div><!-- footer-widget end -->
                </div>
                <div class="col-lg-3 col-sm-6 mb-50">
                    <div class="footer-widget">
                        <h6 class="footer-widget__title">@lang('Importants Links')</h6>
                        <ul class="footer-menu-list">
                            @foreach ($policyPages as $policy)
                                <li><a href="{{ route('policy.pages', [slug($policy->data_values->title), $policy->id]) }}">{{ __($policy->data_values->title) }}</a></li>
                            @endforeach
                        </ul>
                    </div><!-- footer-widget end -->
                </div>
                <div class="col-lg-3 col-sm-6 mb-50">
                    <div class="footer-widget">
                        <h6 class="footer-widget__title">@lang('Site Links')</h6>
                        <ul class="footer-menu-list">
                            <li><a href="{{ route('blogs') }}">@lang('Blogs')</a></li>
                            <li><a href="{{ route('contact') }}">@lang('Contact')</a></li>
                            <li><a href="{{ route('home') }}">@lang('Home')</a></li>
                        </ul>
                    </div><!-- footer-widget end -->
                </div>
                <div class="col-lg-3 mb-50">
                    <div class="footer-widget">
                        <h6 class="footer-widget__title">@lang('Contact')</h6>
                        <p class="para-white font-size--14px">{{ __($footerContent->data_values->contact_description) }}</p>
                        <ul class="footer-social-links d-flex align-items-center mt-3">
                            @foreach ($footerElements as $footer_element)
                                <li>
                                    <a href="{{ $footer_element->data_values->url }}" target="_blank">
                                        @php echo $footer_element->data_values->social_icon @endphp
                                    </a>
                                </li>
                            @endforeach
                        </ul>
                    </div><!-- footer-widget end -->
                </div>
            </div>
        </div>
    </div><!-- footer__top end -->
    <div class="footer__bottom">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 text-center">
                    <p class="para-white">@lang('Copyright') @lang('©') {{ date('Y') }} . @lang('All Rights Reserved').</p>
                </div>
            </div>
        </div>
    </div><!-- footer__bottom end -->
</footer>
